Loading...
Searching...
No Matches
etl::integral_constant< T, VALUE > Struct Template Reference

integral_constant More...

`#include <type_traits.h>`

## Public Types

typedef T | value_type
typedef integral_constant< T, VALUE > | type

## Public Member Functions

| operator value_type () const

## Static Public Attributes

static const T | value = VALUE

## Detailed Description

template<typename T, T VALUE>
struct etl::integral_constant< T, VALUE >

integral_constant

The documentation for this struct was generated from the following file:

- include/etl/type_traits.h